Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234814 (perl-HTML-Encoding) - Review Request: perl-HTML-Encoding - Determine the encoding of HTML/XML/XHTML documents
Summary: Review Request: perl-HTML-Encoding - Determine the encoding of HTML/XML/XHTML...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-HTML-Encoding
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-02 09:46 UTC by Ville Skyttä
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-03 09:33:02 UTC
cweyl: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Ville Skyttä 2007-04-02 09:46:53 UTC
http://cachalot.mine.nu/6/SRPMS/perl-HTML-Encoding.spec
http://cachalot.mine.nu/6/SRPMS/perl-HTML-Encoding-0.52-0.5.cmn6.src.rpm

HTML::Encoding helps to determine the encoding of HTML and XML/XHTML
documents.

Comment 1 Chris Weyl 2007-04-02 16:27:00 UTC
Please ensure release is bumped to 1 before building :)  Aside from that,
looks ready...

+ source files match upstream:
 ee31564305ffdaf24d99f26588f8eb9f  HTML-Encoding-0.52.tar.gz
 ee31564305ffdaf24d99f26588f8eb9f  ../HTML-Encoding-0.52.tar.gz
+ package meets naming and versioning guidelines.
O specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible; license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
O no debuginfo package -- noarch
+ rpmlint is silent.
+ final provides and requires are sane:
** perl-HTML-Encoding-0.52-0.5.fc6.noarch.rpm
== rpmlint
== provides
perl(HTML::Encoding) = 0.52
perl-HTML-Encoding = 0.52-0.5.fc6
== requires
perl(:MODULE_COMPAT_5.8.8)  
perl(Encode)  
perl(HTML::Parser)  
perl(HTTP::Headers::Util)  
perl(base)  
perl(strict)  
perl(warnings) 
+ %check is present and all tests pass:
All tests successful.
Files=1, Tests=1,  0 wallclock secs ( 0.04 cusr +  0.02 csys =  0.06 CPU)
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.

APPROVED

Comment 2 Ville Skyttä 2007-04-02 16:55:50 UTC
Thanks.  Sure, will bump to 1%{?dist} before building.

New Package CVS Request
=======================
Package Name: perl-HTML-Encoding
Short Description: Determine the encoding of HTML/XML/XHTML documents
Owners: ville.skytta@iki.fi
Branches: FC-6
InitialCC: fedora-perl-devel-list@redhat.com

Comment 3 Ville Skyttä 2007-04-03 09:33:02 UTC
Imported and built.


Note You need to log in before you can comment on or make changes to this bug.